diff --git a/android/guava/src/com/google/common/base/Equivalence.java b/android/guava/src/com/google/common/base/Equivalence.java
index 0ce901f..3a96b04 100644
--- a/android/guava/src/com/google/common/base/Equivalence.java
+++ b/android/guava/src/com/google/common/base/Equivalence.java
@@ -16,11 +16,8 @@ package com.google.common.base;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.ForOverride;
 import java.io.Serializable;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A strategy for determining whether two instances are considered equivalent, and for computing
@@ -38,7 +35,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @since 10.0 (<a href="https://github.com/google/guava/wiki/Compatibility">mostly
  *     source-compatible</a> since 4.0)
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 /*
  * The type parameter is <T> rather than <T extends @Nullable> so that we can use T in the
@@ -79,7 +75,6 @@ public abstract class Equivalence<T> {
    *
    * @since 10.0 (previously, subclasses would override equivalent())
    */
-  @ForOverride
   protected abstract boolean doEquivalent(T a, T b);
 
   /**
@@ -115,7 +110,6 @@ public abstract class Equivalence<T> {
    *
    * @since 10.0 (previously, subclasses would override hash())
    */
-  @ForOverride
   protected abstract int doHash(T t);
 
   /**
@@ -152,7 +146,7 @@ public abstract class Equivalence<T> {
    *
    * @since 10.0
    */
-  public final <S extends @Nullable T> Wrapper<S> wrap(@ParametricNullness S reference) {
+  public final <S extends T> Wrapper<S> wrap(@ParametricNullness S reference) {
     return new Wrapper<S>(this, reference);
   }
 
@@ -176,7 +170,7 @@ public abstract class Equivalence<T> {
    *
    * @since 10.0
    */
-  public static final class Wrapper<T extends @Nullable Object> implements Serializable {
+  public static final class Wrapper<T extends Object> implements Serializable {
     private final Equivalence<? super T> equivalence;
     @ParametricNullness private final T reference;
 
@@ -246,8 +240,7 @@ public abstract class Equivalence<T> {
    *
    * @since 10.0
    */
-  @GwtCompatible(serializable = true)
-  public final <S extends @Nullable T> Equivalence<Iterable<S>> pairwise() {
+  public final <S extends T> Equivalence<Iterable<S>> pairwise() {
     // Ideally, the returned equivalence would support Iterable<? extends T>. However,
     // the need for this is so rare that it's not worth making callers deal with the ugly wildcard.
     return new PairwiseEquivalence<>(this);
@@ -259,12 +252,12 @@ public abstract class Equivalence<T> {
    *
    * @since 10.0
    */
-  public final Predicate<@Nullable T> equivalentTo(@CheckForNull T target) {
+  public final Predicate<T> equivalentTo(@CheckForNull T target) {
     return new EquivalentToPredicate<T>(this, target);
   }
 
   private static final class EquivalentToPredicate<T>
-      implements Predicate<@Nullable T>, Serializable {
+      implements Predicate<T>, Serializable {
 
     private final Equivalence<T> equivalence;
     @CheckForNull private final T target;
diff --git a/android/guava/src/com/google/common/base/ExtraObjectsMethodsForWeb.java b/android/guava/src/com/google/common/base/ExtraObjectsMethodsForWeb.java
index 6770755..a5aa8a2 100644
--- a/android/guava/src/com/google/common/base/ExtraObjectsMethodsForWeb.java
+++ b/android/guava/src/com/google/common/base/ExtraObjectsMethodsForWeb.java
@@ -14,12 +14,10 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * Holder for extra methods of {@code Objects} only in web. Intended to be empty for regular
  * version.
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 abstract class ExtraObjectsMethodsForWeb {}
diff --git a/android/guava/src/com/google/common/base/FinalizablePhantomReference.java b/android/guava/src/com/google/common/base/FinalizablePhantomReference.java
index 4f93996..fa47907 100644
--- a/android/guava/src/com/google/common/base/FinalizablePhantomReference.java
+++ b/android/guava/src/com/google/common/base/FinalizablePhantomReference.java
@@ -14,7 +14,6 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.lang.ref.PhantomReference;
 import java.lang.ref.ReferenceQueue;
 import javax.annotation.CheckForNull;
@@ -29,7 +28,6 @@ import javax.annotation.CheckForNull;
  * @author Bob Lee
  * @since 2.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class FinalizablePhantomReference<T> extends PhantomReference<T>
     implements FinalizableReference {
diff --git a/android/guava/src/com/google/common/base/FinalizableReference.java b/android/guava/src/com/google/common/base/FinalizableReference.java
index 73753c9..ac0f6e7 100644
--- a/android/guava/src/com/google/common/base/FinalizableReference.java
+++ b/android/guava/src/com/google/common/base/FinalizableReference.java
@@ -14,8 +14,6 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.DoNotMock;
 
 /**
  * Implemented by references that have code to run after garbage collection of their referents.
@@ -24,8 +22,6 @@ import com.google.errorprone.annotations.DoNotMock;
  * @author Bob Lee
  * @since 2.0
  */
-@DoNotMock("Use an instance of one of the Finalizable*Reference classes")
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public interface FinalizableReference {
   /**
diff --git a/android/guava/src/com/google/common/base/FinalizableReferenceQueue.java b/android/guava/src/com/google/common/base/FinalizableReferenceQueue.java
index 5ce1d31..02d4de0 100644
--- a/android/guava/src/com/google/common/base/FinalizableReferenceQueue.java
+++ b/android/guava/src/com/google/common/base/FinalizableReferenceQueue.java
@@ -14,8 +14,6 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.annotations.VisibleForTesting;
 import java.io.Closeable;
 import java.io.FileNotFoundException;
 import java.io.IOException;
@@ -88,7 +86,6 @@ import javax.annotation.CheckForNull;
  * @author Bob Lee
  * @since 2.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public class FinalizableReferenceQueue implements Closeable {
   /*
@@ -240,7 +237,7 @@ public class FinalizableReferenceQueue implements Closeable {
   static class SystemLoader implements FinalizerLoader {
     // This is used by the ClassLoader-leak test in FinalizableReferenceQueueTest to disable
     // finding Finalizer on the system class path even if it is there.
-    @VisibleForTesting static boolean disabled;
+    static boolean disabled;
 
     @Override
     @CheckForNull
diff --git a/android/guava/src/com/google/common/base/FinalizableSoftReference.java b/android/guava/src/com/google/common/base/FinalizableSoftReference.java
index c0e9b6b..53c83a3 100644
--- a/android/guava/src/com/google/common/base/FinalizableSoftReference.java
+++ b/android/guava/src/com/google/common/base/FinalizableSoftReference.java
@@ -14,7 +14,6 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.lang.ref.ReferenceQueue;
 import java.lang.ref.SoftReference;
 import javax.annotation.CheckForNull;
@@ -27,7 +26,6 @@ import javax.annotation.CheckForNull;
  * @author Bob Lee
  * @since 2.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class FinalizableSoftReference<T> extends SoftReference<T>
     implements FinalizableReference {
diff --git a/android/guava/src/com/google/common/base/FinalizableWeakReference.java b/android/guava/src/com/google/common/base/FinalizableWeakReference.java
index 9cca92e..5d44704 100644
--- a/android/guava/src/com/google/common/base/FinalizableWeakReference.java
+++ b/android/guava/src/com/google/common/base/FinalizableWeakReference.java
@@ -14,9 +14,7 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.lang.ref.ReferenceQueue;
-import java.lang.ref.WeakReference;
 import javax.annotation.CheckForNull;
 
 /**
@@ -27,7 +25,6 @@ import javax.annotation.CheckForNull;
  * @author Bob Lee
  * @since 2.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class FinalizableWeakReference<T> extends WeakReference<T>
     implements FinalizableReference {
diff --git a/android/guava/src/com/google/common/base/Function.java b/android/guava/src/com/google/common/base/Function.java
index 7d633af..dc15105 100644
--- a/android/guava/src/com/google/common/base/Function.java
+++ b/android/guava/src/com/google/common/base/Function.java
@@ -14,10 +14,7 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Determines an output value based on an input value; a pre-Java-8 version of {@link
@@ -44,9 +41,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kevin Bourrillion
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public interface Function<F extends @Nullable Object, T extends @Nullable Object> {
+public interface Function<F extends Object, T extends Object> {
   /**
    * Returns the result of applying this function to {@code input}. This method is <i>generally
    * expected</i>, but not absolutely required, to have the following properties:
@@ -61,7 +57,7 @@ public interface Function<F extends @Nullable Object, T extends @Nullable Object
    * @throws NullPointerException if {@code input} is null and this function does not accept null
    *     arguments
    */
-  @CanIgnoreReturnValue // TODO(kevinb): remove this
+  // TODO(kevinb): remove this
   @ParametricNullness
   T apply(@ParametricNullness F input);
 
diff --git a/android/guava/src/com/google/common/base/FunctionalEquivalence.java b/android/guava/src/com/google/common/base/FunctionalEquivalence.java
index 8bb67be..bd18c1d 100644
--- a/android/guava/src/com/google/common/base/FunctionalEquivalence.java
+++ b/android/guava/src/com/google/common/base/FunctionalEquivalence.java
@@ -16,8 +16,6 @@ package com.google.common.base;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 import javax.annotation.CheckForNull;
 
@@ -27,8 +25,6 @@ import javax.annotation.CheckForNull;
  * @author Bob Lee
  * @since 10.0
  */
-@Beta
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 final class FunctionalEquivalence<F, T> extends Equivalence<F> implements Serializable {
 
diff --git a/android/guava/src/com/google/common/base/Functions.java b/android/guava/src/com/google/common/base/Functions.java
index 5337d0e..046ca44 100644
--- a/android/guava/src/com/google/common/base/Functions.java
+++ b/android/guava/src/com/google/common/base/Functions.java
@@ -14,15 +14,12 @@
 
 package com.google.common.base;
 
-import static com.google.common.base.NullnessCasts.uncheckedCastNullableTToT;
 import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 import java.util.Map;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Static utility methods pertaining to {@code com.google.common.base.Function} instances; see that
@@ -37,7 +34,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Jared Levy
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public final class Functions {
   private Functions() {}
@@ -82,12 +78,12 @@ public final class Functions {
   /** Returns the identity function. */
   // implementation is "fully variant"; E has become a "pass-through" type
   @SuppressWarnings("unchecked")
-  public static <E extends @Nullable Object> Function<E, E> identity() {
+  public static <E extends Object> Function<E, E> identity() {
     return (Function<E, E>) IdentityFunction.INSTANCE;
   }
 
   // enum singleton pattern
-  private enum IdentityFunction implements Function<@Nullable Object, @Nullable Object> {
+  private enum IdentityFunction implements Function<Object, Object> {
     INSTANCE;
 
     @Override
@@ -115,7 +111,7 @@ public final class Functions {
    * key (instead of an exception being thrown), you can use the method reference {@code map::get}
    * instead.
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object> Function<K, V> forMap(
+  public static <K extends Object, V extends Object> Function<K, V> forMap(
       Map<K, V> map) {
     return new FunctionForMapNoDefault<>(map);
   }
@@ -133,13 +129,13 @@ public final class Functions {
    * @return function that returns {@code map.get(a)} when {@code a} is a key, or {@code
    *     defaultValue} otherwise
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object> Function<K, V> forMap(
+  public static <K extends Object, V extends Object> Function<K, V> forMap(
       Map<K, ? extends V> map, @ParametricNullness V defaultValue) {
     return new ForMapWithDefault<>(map, defaultValue);
   }
 
   private static class FunctionForMapNoDefault<
-          K extends @Nullable Object, V extends @Nullable Object>
+          K extends Object, V extends Object>
       implements Function<K, V>, Serializable {
     final Map<K, V> map;
 
@@ -178,7 +174,7 @@ public final class Functions {
     private static final long serialVersionUID = 0;
   }
 
-  private static class ForMapWithDefault<K extends @Nullable Object, V extends @Nullable Object>
+  private static class ForMapWithDefault<K extends Object, V extends Object>
       implements Function<K, V>, Serializable {
     final Map<K, ? extends V> map;
     @ParametricNullness final V defaultValue;
@@ -233,13 +229,13 @@ public final class Functions {
    * @return the composition of {@code f} and {@code g}
    * @see <a href="//en.wikipedia.org/wiki/Function_composition">function composition</a>
    */
-  public static <A extends @Nullable Object, B extends @Nullable Object, C extends @Nullable Object>
+  public static <A extends Object, B extends Object, C extends Object>
       Function<A, C> compose(Function<B, C> g, Function<A, ? extends B> f) {
     return new FunctionComposition<>(g, f);
   }
 
   private static class FunctionComposition<
-          A extends @Nullable Object, B extends @Nullable Object, C extends @Nullable Object>
+          A extends Object, B extends Object, C extends Object>
       implements Function<A, C>, Serializable {
     private final Function<B, C> g;
     private final Function<A, ? extends B> f;
@@ -286,13 +282,13 @@ public final class Functions {
    *
    * <p><b>Java 8 users:</b> use the method reference {@code predicate::test} instead.
    */
-  public static <T extends @Nullable Object> Function<T, Boolean> forPredicate(
+  public static <T extends Object> Function<T, Boolean> forPredicate(
       Predicate<T> predicate) {
     return new PredicateFunction<T>(predicate);
   }
 
   /** @see Functions#forPredicate */
-  private static class PredicateFunction<T extends @Nullable Object>
+  private static class PredicateFunction<T extends Object>
       implements Function<T, Boolean>, Serializable {
     private final Predicate<T> predicate;
 
@@ -335,13 +331,13 @@ public final class Functions {
    * @param value the constant value for the function to return
    * @return a function that always returns {@code value}
    */
-  public static <E extends @Nullable Object> Function<@Nullable Object, E> constant(
+  public static <E extends Object> Function<Object, E> constant(
       @ParametricNullness E value) {
     return new ConstantFunction<>(value);
   }
 
-  private static class ConstantFunction<E extends @Nullable Object>
-      implements Function<@Nullable Object, E>, Serializable {
+  private static class ConstantFunction<E extends Object>
+      implements Function<Object, E>, Serializable {
     @ParametricNullness private final E value;
 
     public ConstantFunction(@ParametricNullness E value) {
@@ -383,13 +379,13 @@ public final class Functions {
    *
    * @since 10.0
    */
-  public static <F extends @Nullable Object, T extends @Nullable Object> Function<F, T> forSupplier(
+  public static <F extends Object, T extends Object> Function<F, T> forSupplier(
       Supplier<T> supplier) {
     return new SupplierFunction<>(supplier);
   }
 
   /** @see Functions#forSupplier */
-  private static class SupplierFunction<F extends @Nullable Object, T extends @Nullable Object>
+  private static class SupplierFunction<F extends Object, T extends Object>
       implements Function<F, T>, Serializable {
 
     private final Supplier<T> supplier;
diff --git a/android/guava/src/com/google/common/base/Java8Compatibility.java b/android/guava/src/com/google/common/base/Java8Compatibility.java
index edc8b73..2d2b5f3 100644
--- a/android/guava/src/com/google/common/base/Java8Compatibility.java
+++ b/android/guava/src/com/google/common/base/Java8Compatibility.java
@@ -14,14 +14,12 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.nio.Buffer;
 
 /**
  * Wrappers around {@link Buffer} methods that are covariantly overridden in Java 9+. See
  * https://github.com/google/guava/issues/3990
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 final class Java8Compatibility {
   static void clear(Buffer b) {
diff --git a/android/guava/src/com/google/common/base/JdkPattern.java b/android/guava/src/com/google/common/base/JdkPattern.java
index 4788398..1d5a310 100644
--- a/android/guava/src/com/google/common/base/JdkPattern.java
+++ b/android/guava/src/com/google/common/base/JdkPattern.java
@@ -14,14 +14,12 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.io.Serializable;
 import java.util.regex.Matcher;
 import java.util.regex.Pattern;
 
 /** A regex pattern implementation which is backed by the {@link Pattern}. */
 @ElementTypesAreNonnullByDefault
-@GwtIncompatible
 final class JdkPattern extends CommonPattern implements Serializable {
   private final Pattern pattern;
 
diff --git a/android/guava/src/com/google/common/base/Joiner.java b/android/guava/src/com/google/common/base/Joiner.java
index 0f3d6e4..3668f79 100644
--- a/android/guava/src/com/google/common/base/Joiner.java
+++ b/android/guava/src/com/google/common/base/Joiner.java
@@ -15,11 +15,7 @@
 package com.google.common.base;
 
 import static com.google.common.base.Preconditions.checkNotNull;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.IOException;
 import java.util.AbstractList;
 import java.util.Arrays;
@@ -27,7 +23,6 @@ import java.util.Iterator;
 import java.util.Map;
 import java.util.Map.Entry;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * An object which joins pieces of text (specified as an array, {@link Iterable}, varargs or even a
@@ -64,7 +59,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kevin Bourrillion
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public class Joiner {
   /** Returns a joiner which automatically places {@code separator} between consecutive elements. */
@@ -97,7 +91,6 @@ public class Joiner {
    * Appends the string representation of each of {@code parts}, using the previously configured
    * separator between each, to {@code appendable}.
    */
-  @CanIgnoreReturnValue
   public <A extends Appendable> A appendTo(A appendable, Iterable<? extends @Nullable Object> parts)
       throws IOException {
     return appendTo(appendable, parts.iterator());
@@ -109,7 +102,6 @@ public class Joiner {
    *
    * @since 11.0
    */
-  @CanIgnoreReturnValue
   public <A extends Appendable> A appendTo(A appendable, Iterator<? extends @Nullable Object> parts)
       throws IOException {
     checkNotNull(appendable);
@@ -127,14 +119,12 @@ public class Joiner {
    * Appends the string representation of each of {@code parts}, using the previously configured
    * separator between each, to {@code appendable}.
    */
-  @CanIgnoreReturnValue
   public final <A extends Appendable> A appendTo(A appendable, @Nullable Object[] parts)
       throws IOException {
     return appendTo(appendable, Arrays.asList(parts));
   }
 
   /** Appends to {@code appendable} the string representation of each of the remaining arguments. */
-  @CanIgnoreReturnValue
   public final <A extends Appendable> A appendTo(
       A appendable,
       @CheckForNull Object first,
@@ -149,7 +139,6 @@ public class Joiner {
    * separator between each, to {@code builder}. Identical to {@link #appendTo(Appendable,
    * Iterable)}, except that it does not throw {@link IOException}.
    */
-  @CanIgnoreReturnValue
   public final StringBuilder appendTo(
       StringBuilder builder, Iterable<? extends @Nullable Object> parts) {
     return appendTo(builder, parts.iterator());
@@ -162,7 +151,6 @@ public class Joiner {
    *
    * @since 11.0
    */
-  @CanIgnoreReturnValue
   public final StringBuilder appendTo(
       StringBuilder builder, Iterator<? extends @Nullable Object> parts) {
     try {
@@ -178,7 +166,6 @@ public class Joiner {
    * separator between each, to {@code builder}. Identical to {@link #appendTo(Appendable,
    * Iterable)}, except that it does not throw {@link IOException}.
    */
-  @CanIgnoreReturnValue
   public final StringBuilder appendTo(StringBuilder builder, @Nullable Object[] parts) {
     return appendTo(builder, Arrays.asList(parts));
   }
@@ -188,7 +175,6 @@ public class Joiner {
    * Identical to {@link #appendTo(Appendable, Object, Object, Object...)}, except that it does not
    * throw {@link IOException}.
    */
-  @CanIgnoreReturnValue
   public final StringBuilder appendTo(
       StringBuilder builder,
       @CheckForNull Object first,
@@ -345,7 +331,6 @@ public class Joiner {
      * Appends the string representation of each entry of {@code map}, using the previously
      * configured separator and key-value separator, to {@code appendable}.
      */
-    @CanIgnoreReturnValue
     public <A extends Appendable> A appendTo(A appendable, Map<?, ?> map) throws IOException {
       return appendTo(appendable, map.entrySet());
     }
@@ -355,7 +340,6 @@ public class Joiner {
      * configured separator and key-value separator, to {@code builder}. Identical to {@link
      * #appendTo(Appendable, Map)}, except that it does not throw {@link IOException}.
      */
-    @CanIgnoreReturnValue
     public StringBuilder appendTo(StringBuilder builder, Map<?, ?> map) {
       return appendTo(builder, map.entrySet());
     }
@@ -366,8 +350,6 @@ public class Joiner {
      *
      * @since 10.0
      */
-    @Beta
-    @CanIgnoreReturnValue
     public <A extends Appendable> A appendTo(A appendable, Iterable<? extends Entry<?, ?>> entries)
         throws IOException {
       return appendTo(appendable, entries.iterator());
@@ -379,8 +361,6 @@ public class Joiner {
      *
      * @since 11.0
      */
-    @Beta
-    @CanIgnoreReturnValue
     public <A extends Appendable> A appendTo(A appendable, Iterator<? extends Entry<?, ?>> parts)
         throws IOException {
       checkNotNull(appendable);
@@ -407,8 +387,6 @@ public class Joiner {
      *
      * @since 10.0
      */
-    @Beta
-    @CanIgnoreReturnValue
     public StringBuilder appendTo(StringBuilder builder, Iterable<? extends Entry<?, ?>> entries) {
       return appendTo(builder, entries.iterator());
     }
@@ -420,8 +398,6 @@ public class Joiner {
      *
      * @since 11.0
      */
-    @Beta
-    @CanIgnoreReturnValue
     public StringBuilder appendTo(StringBuilder builder, Iterator<? extends Entry<?, ?>> entries) {
       try {
         appendTo((Appendable) builder, entries);
@@ -445,7 +421,6 @@ public class Joiner {
      *
      * @since 10.0
      */
-    @Beta
     public String join(Iterable<? extends Entry<?, ?>> entries) {
       return join(entries.iterator());
     }
@@ -456,7 +431,6 @@ public class Joiner {
      *
      * @since 11.0
      */
-    @Beta
     public String join(Iterator<? extends Entry<?, ?>> entries) {
       return appendTo(new StringBuilder(), entries).toString();
     }
@@ -492,12 +466,12 @@ public class Joiner {
     return (part instanceof CharSequence) ? (CharSequence) part : part.toString();
   }
 
-  private static Iterable<@Nullable Object> iterable(
+  private static Iterable<Object> iterable(
       @CheckForNull final Object first,
       @CheckForNull final Object second,
       final @Nullable Object[] rest) {
     checkNotNull(rest);
-    return new AbstractList<@Nullable Object>() {
+    return new AbstractList<Object>() {
       @Override
       public int size() {
         return rest.length + 2;
diff --git a/android/guava/src/com/google/common/base/MoreObjects.java b/android/guava/src/com/google/common/base/MoreObjects.java
index da97624..64fba53 100644
--- a/android/guava/src/com/google/common/base/MoreObjects.java
+++ b/android/guava/src/com/google/common/base/MoreObjects.java
@@ -16,8 +16,6 @@ package com.google.common.base;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.lang.reflect.Array;
 import java.util.Arrays;
 import java.util.Collection;
@@ -35,7 +33,6 @@ import javax.annotation.CheckForNull;
  * @author Laurence Gonsalves
  * @since 18.0 (since 2.0 as {@code Objects})
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public final class MoreObjects {
   /**
@@ -180,7 +177,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 12.0 as {@code Objects.ToStringHelper.omitNullValues()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper omitNullValues() {
       omitNullValues = true;
       return this;
@@ -191,7 +187,6 @@ public final class MoreObjects {
      * is {@code null}, the string {@code "null"} is used, unless {@link #omitNullValues()} is
      * called, in which case this name/value pair will not be added.
      */
-    @CanIgnoreReturnValue
     public ToStringHelper add(String name, @CheckForNull Object value) {
       return addHolder(name, value);
     }
@@ -201,7 +196,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.add()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper add(String name, boolean value) {
       return addUnconditionalHolder(name, String.valueOf(value));
     }
@@ -211,7 +205,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.add()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper add(String name, char value) {
       return addUnconditionalHolder(name, String.valueOf(value));
     }
@@ -221,7 +214,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.add()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper add(String name, double value) {
       return addUnconditionalHolder(name, String.valueOf(value));
     }
@@ -231,7 +223,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.add()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper add(String name, float value) {
       return addUnconditionalHolder(name, String.valueOf(value));
     }
@@ -241,7 +232,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.add()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper add(String name, int value) {
       return addUnconditionalHolder(name, String.valueOf(value));
     }
@@ -251,7 +241,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.add()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper add(String name, long value) {
       return addUnconditionalHolder(name, String.valueOf(value));
     }
@@ -262,7 +251,6 @@ public final class MoreObjects {
      * <p>It is strongly encouraged to use {@link #add(String, Object)} instead and give value a
      * readable name.
      */
-    @CanIgnoreReturnValue
     public ToStringHelper addValue(@CheckForNull Object value) {
       return addHolder(value);
     }
@@ -275,7 +263,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.addValue()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper addValue(boolean value) {
       return addUnconditionalHolder(String.valueOf(value));
     }
@@ -288,7 +275,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.addValue()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper addValue(char value) {
       return addUnconditionalHolder(String.valueOf(value));
     }
@@ -301,7 +287,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.addValue()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper addValue(double value) {
       return addUnconditionalHolder(String.valueOf(value));
     }
@@ -314,7 +299,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.addValue()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper addValue(float value) {
       return addUnconditionalHolder(String.valueOf(value));
     }
@@ -327,7 +311,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.addValue()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper addValue(int value) {
       return addUnconditionalHolder(String.valueOf(value));
     }
@@ -340,7 +323,6 @@ public final class MoreObjects {
      *
      * @since 18.0 (since 11.0 as {@code Objects.ToStringHelper.addValue()}).
      */
-    @CanIgnoreReturnValue
     public ToStringHelper addValue(long value) {
       return addUnconditionalHolder(String.valueOf(value));
     }
diff --git a/android/guava/src/com/google/common/base/NullnessCasts.java b/android/guava/src/com/google/common/base/NullnessCasts.java
index 1ada6bf..3132e98 100644
--- a/android/guava/src/com/google/common/base/NullnessCasts.java
+++ b/android/guava/src/com/google/common/base/NullnessCasts.java
@@ -14,12 +14,9 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** A utility method to perform unchecked casts to suppress errors produced by nullness analyses. */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 final class NullnessCasts {
   /**
@@ -52,7 +49,7 @@ final class NullnessCasts {
    */
   @ParametricNullness
   @SuppressWarnings("nullness")
-  static <T extends @Nullable Object> T uncheckedCastNullableTToT(@CheckForNull T t) {
+  static <T extends Object> T uncheckedCastNullableTToT(@CheckForNull T t) {
     return t;
   }
 
